LMNT

List voices

voices.list(query?: VoiceListParams): Promise<Array<Voice>>
GET
/v1/ai/voice/list

Returns a list of voices available to you.

Parameters

starred
string | undefined

If true, only returns voices that you have starred.

owner
string | undefined

Which owner's voices to return. Choose from system, me, or all.

Returns

Array<Voice> where each Voice is:

description
string | null

A text description of this voice.

gender
string

A tag describing the gender of this voice, e.g. male, female, nonbinary.

id
string
required

The unique identifier of this voice.

name
string
required

The display name of this voice.

owner
'system' | 'me' | 'other'
required

The owner of this voice.

starred
boolean

Whether this voice has been starred by you or not.

state
string
required

The state of this voice in the training pipeline (e.g., ready, training).

type
'instant' | 'professional'

The method by which this voice was created: instant or professional.

preview_url
string

A URL that returns a preview speech sample of this voice. The file can be played directly in a browser or audio player.